# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Japanese marumoji bitmap fonts for X"
HOMEPAGE="http://mlnews.com/marumoji/"

SRC_PATH="http://mlnews.com/marumoji/src"
SRC_URI="${SRC_PATH}/7x14maru.bdf.gz
	${SRC_PATH}/7x14rkmaru.bdf.gz
	${SRC_PATH}/maru14.pcf.gz
	${SRC_PATH}/maru16.pcf.gz
	${SRC_PATH}/maru18.pcf.gz"

KEYWORDS="x86 alpha"
LICENSE="X11"
SLOT="0"

S="${WORKDIR}"
DEPEND="virtual/x11
	app-arch/gzip"

PREFIX="/usr/share/fonts/${PN}"

src_unpack(){
	return
}

src_compile(){
	zcat ${DISTDIR}/7x14maru.bdf.gz   | bdftopcf | \
		gzip > 7x14maru.pcf.gz
	zcat ${DISTDIR}/7x14rkmaru.bdf.gz | bdftopcf | \
		gzip > 7x14rkmaru.pcf.gz
}

src_install(){
	dodir ${PREFIX}
	insinto ${PREFIX}

    # install fonts
	doins 7x14maru.pcf.gz
	doins 7x14rkmaru.pcf.gz
	doins ${DISTDIR}/maru14.pcf.gz
	doins ${DISTDIR}/maru16.pcf.gz
	doins ${DISTDIR}/maru18.pcf.gz

	mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings ${D}/${PREFIX}
}

pkg_postinst() {
	einfo "You need you add following line into 'Section \"Files\"' in"
	einfo "XF86Config and reboot X Window System, to use these fonts."
	echo -e "\n\t FontPath \"${PREFIX}\"\n\n"
}

pkg_postrm(){
	einfo "You need you remove following line in 'Section \"Files\"' in"
	einfo "XF86Config, to unmerge this package completely."
	echo -e "\n\t FontPath \"${PREFIX}\"\n\n"
}
